Page MenuHomePhabricator

One place for Wikimedia technical support (discuss)
Closed, ResolvedPublic

Description

The Developer Relations team at the Wikimedia Foundation is proposing an idea: to have a single place to provide technical support.

We started this pilot based on Discourse: https://discourse-mediawiki.wmflabs.org/

You can learn more about this pilot at https://www.mediawiki.org/wiki/Discourse

In this session, we can quickly demo the Wikimedia Developer Discourse site (including the admin inteface) and then gather ideas, answer questions, and generally discuss next steps.

The current five admins of this Discourse instance happen to be at the Hackathon, and also some of its top contributors. Should be fun!

Event Timeline

Qgil created this task.May 18 2018, 2:13 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 2:13 PM
Qgil renamed this task from One place for Wikimedia Developer Support (discuss) to One place for Wikimedia technical support (discuss).May 18 2018, 2:28 PM
Qgil triaged this task as Normal priority.
Qgil updated the task description. (Show Details)
Qgil added subscribers: srishakatux, Tgr, Samwilson.
Vvjjkkii renamed this task from One place for Wikimedia technical support (discuss) to 0rcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii removed Qgil as the assignee of this task.
Vvjjkkii raised the priority of this task from Normal to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from 0rcaaaaaaa to One place for Wikimedia technical support (discuss).Jul 2 2018, 4:59 AM
CommunityTechBot assigned this task to Qgil.
CommunityTechBot lowered the priority of this task from High to Normal.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Qgil added a subscriber: Quiddity.Jul 5 2018, 2:58 PM

Ooops, sorry. @Quiddity took these notes during this session at the Wikimedia-Hackathon-2018 (thank you very much!):

Discourse, https://discourse-mediawiki.wmflabs.org/
No set success-metrics, but seems to be working positively.
Next steps are deciding on next steps!

  • Pick 1 channel to try replacing, and see if it works.

Pros:

  • explicit interest from other areas/teams in using this platform
  • direct login with Phab-auth, partly connecting discourse user-accounts to Wikimedia SUL.
  • has RSS feed for every page/tag.
  • adds a #topic-tag ability - enables topic-area experts to subscribe to a tag, and ignore everything else. E.g Alice subscribes to #template tag to help answer questions about templates.
  • searchable/permanent (vs IRC's ephemerality)

Cons:

  • more decision-paralysis for every additional optional site, and sub-section.
  • disconnected search, will need to add banners on special:search results pointing to discourse as alternative.
  • decreases the chances of Structured Discussion being resourced.

Questions:

  • exploring options to connect Discourse to Matrix (IRC?)
  • Would we want to deprecate any/many other channels?
    • Only Support Desk is purely for technical support (Q&A). We'd need to talk to them about that possibility. All other channels have other uses (IRC, mailing lists, random talkpages, etc)
      • Potentially also IRC's #wikimedia-tech ?
        • Possibly not, because that's for real-time chat.
  • Would we link to discourse from many/most/all extension-talkpages? wikitech? etc? templates & gadgets pages? Many potential scope options.
  • Would investing in Mailman3 (and getting all it's new features) alter the balance?
    • Discourse's own "reply via email" feature might cover this. [possible action item]
  • Would investing in Structure Discussion (and getting any new features) alter the balance?
    • Yes, but we've already been waiting for many years. Discourse exists now, with the features we need.
    • Using Discourse could help us understand the use-cases and needed-features for a future system. E.g. Discourse and Stackoverflow have good automated feedback systems.
  • Chat plugins exist. Could be used for hackathons? Or even more?
  • Adoption, Visibility, Chat plugins, Advertise at Support Desk,
  • Plan with ops: Important aspect for discussing transition from Experiment to Supported, is talking to SRE and Releng about update and support cycles.
  • Banner/template in mediawiki.org for use on talkpages where desired
  • determine success criteria
    • one built-in success is it comes with internal metrics built in.
  • How/Will URL change?
    • Yes, but with redirect/bouncer. Known process.
  • Encourage WMF staff to ask questions?
    • talked to Cory, PE program, he's getting support for doc-writing,
  • Clarify target audience? E.g. Project:Support_desk is mostly for 3rd party mw admins. But we want to help everyone?
    • Change name? "mw technical support desk"? other? (Wiki[Media)Wiki] Technical Support!
  • Overall Goal: People ask questions, and get answers within 24 hours.
  • Do we still need to investigate other untested alternative options? e.g. stackoverflow clone?
  • Support SUL login? Make it work with WM-login instead of needing an existing Phabricator-account?
    • Needs development.

Before closing this task, I will review these notes, compare with T155678: Provide an easy to use support system for contributors to ask technical questions and related tasks, and create any tasks needed as blockers for the deployment of Discourse.

Qgil raised the priority of this task from Normal to High.Jul 5 2018, 3:11 PM
Qgil moved this task from Backlog to Started on the CommRel-Specialists-Support (Jul-Sep-2018) board.
Elitre added a subscriber: Elitre.Oct 5 2018, 10:08 AM

So... to be moved to different workboard? Is this really support BTW?

bd808 added a subscriber: bd808.Oct 17 2018, 8:42 PM
Qgil closed this task as Resolved.Dec 27 2018, 4:19 PM

I have created two tasks to cover the two main areas that were missing in Phabricator:

The rest of points from the notes seem to be covered in there and the other tasks under T155678: Provide an easy to use support system for contributors to ask technical questions . I am going to resolve this task, finally. If there is anything that you think should be better reflected in tasks or otherwise, please comment.